=== debian/control ===
Source: hannah
Section: games
Priority: extra
Maintainer: Margarita Manterola <marga@debian.org>
Build-Depends: debhelper (>= 9),
               imagemagick,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl-ttf2.0-dev,
               libsdl1.2-dev,
               quilt
Standards-Version: 3.9.6
Homepage: http://www.retrojunkies.co.uk/index.php?page=game

Package: hannah
Architecture: any
Depends: hannah-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: pacman-like game, child oriented
 Help Hannah's Horse is like a cross between Pacman and the Dizzy game
 "Fastfood". The objective is to move Hannah to collect the pills around
 the maze while avoiding the ghosts. Moving around the maze there are also
 carrots which Hannah must also collect in order to complete the level.

Package: hannah-data
Architecture: all
Depends: ${misc:Depends}
Description: pacman-like game, child oriented - data files
 Help Hannah's Horse is like a cross between Pacman and the Dizzy game
 "Fastfood". The objective is to move Hannah to collect the pills around
 the maze while avoiding the ghosts. Moving around the maze there are
 also carrots which Hannah must also collect in order to complete the level.
 .
 This package contains the data files for the game.
