=== debian/watch ===
version=3
http://sf.net/hannah/hhh-(.*)\.tar\.gz
