## hannah 2.0.1+ds1

=== debian/changelog ===
hannah (2.0.1+ds1-1) unstable; urgency=medium

  * Salvage games inside Games Team (Closes: #1124577)
  * Tweak watchfile
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml

  [ Simon McVittie ]
  * Remove patch that tried to use /var/games/hannah
  * d/rules: Don't make the executable setgid games (Closes: #1124314)
  * d/rules: Use the correct --bindir
  * d/gbp.conf: Add
  * d/rules: Use DEB_CPPFLAGS_MAINT_APPEND instead of DEB_CPPFLAGS_APPEND.
    Thanks to Lintian
  * d/rules: Use the upstream `make install` in the conventional way

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 Jan 2026 19:15:25 +0100

hannah (2.0.1+ds1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * refresh upstream copyright year as seen inside the game
  * allow cross-building (Closes: #1063394)
  * clean more (Closes: #1044187)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 07 Feb 2024 20:48:43 +0100

hannah (2.0.1+ds1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install data in expected location.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Dec 2023 03:19:50 +0100

hannah (2.0.1+ds1-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  * New upstream version 2.0.1
  * build with SDL2 (Closes: #1038454)
  * fix homepage URL (Closes: #787934, #799547)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Add Vcs-* field
  * d/watch: Use https protocol

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Dec 2023 01:30:41 +0100

hannah (1.0-3.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Closes: #901260)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 06 Oct 2022 17:14:03 -0700

hannah (1.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Reiner Herrmann ]
  * Sort source files so that objects are linked in deterministic order
    (Closes: #845782)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 06 Oct 2022 16:48:01 -0700
