=== debian/control ===
Source: hannah
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Margarita Manterola <marga@debian.org>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 imagemagick,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 pkgconf,
Standards-Version: 4.7.3
Homepage: https://retrojunkies.co.uk/welsh/home/index/91
# https://libregamewiki.org/Help_Hannah's_Horse
Vcs-Browser: https://salsa.debian.org/debian/hannah
Vcs-Git: https://salsa.debian.org/debian/hannah.git

Package: hannah
Architecture: any
Depends:
 hannah-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: pacman-like game, child oriented
 Help Hannah's Horse is like a cross between Pacman and the Dizzy game
 "Fastfood". The objective is to move Hannah to collect the pills around
 the maze while avoiding the ghosts. Moving around the maze there are also
 carrots which Hannah must also collect in order to complete the level.

Package: hannah-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: pacman-like game, child oriented - data files
 Help Hannah's Horse is like a cross between Pacman and the Dizzy game
 "Fastfood". The objective is to move Hannah to collect the pills around
 the maze while avoiding the ghosts. Moving around the maze there are
 also carrots which Hannah must also collect in order to complete the level.
 .
 This package contains the data files for the game.
