=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

export DEB_CPPFLAGS_MAINT_APPEND = $(shell $(PKG_CONFIG) sdl2 --cflags)

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --datarootdir=/usr/share/games/

execute_after_dh_auto_install-indep:
	convert resources/ico.bmp debian/hannah-data/usr/share/pixmaps/hannah.png
