=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=auto,repack" \
  https://sf.net/hannah/hannah-(.*)\.tar\.gz
